Bug 611987 - touchpad disable (fn-f8) on lenovo laptops does nothing.
Summary: touchpad disable (fn-f8) on lenovo laptops does nothing.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-settings-daemon (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 841419 1146711
TreeView+ depends on / blocked
 
Reported: 2010-07-06 23:26 UTC by Dave Airlie
Modified: 2015-02-11 16:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-11 16:05:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Airlie 2010-07-06 23:26:00 UTC
This works in Fedora, and draws a nice icon, in RHEL6 it does nothing.

I think we need to upgrade xkeyboard-config and backport some fixes to g-s-d.

If we agree its a good idea, we can clone this for xkeyboard-config.

Comment 1 RHEL Product and Program Management 2010-07-15 14:56:31 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 2 Herton R. Krzesinski 2014-12-10 20:37:08 UTC
As of RHEL 6.6, this bug is still present in gnome settings daemon which it includes. And recently we have some support requests too requesting the touchpad hotkey functionality on lenovo laptops.

I was looking into what would be required for a backport. In summary these gnome-settings-daemon commits are needed:

62ffa31710ed4b9bb009d674da91201f6a4ca332
[media-keys] Make OSD display more generic

221049d0e48243b236ba6de01acf416df3dabfec
Add keybinding schema to enable/disable touchpad

c5b8b0058dbfac9b3ec7ca090e7b37589e9aef62
Display a dialog box when enabling/disabling the touchpad.

045935aff4693375221ca3011c51fc08fc6736df
Add touchpad_enabled gconf key.

After some tinkering with the changes I prepared a package with these changes and a reporter tells it worked out, after fixing the hal-info key mapping (bug 841419).

Comment 5 Bastien Nocera 2015-02-11 16:03:10 UTC
(In reply to Herton R. Krzesinski from comment #2)
> As of RHEL 6.6, this bug is still present in gnome settings daemon which it
> includes. And recently we have some support requests too requesting the
> touchpad hotkey functionality on lenovo laptops.
> 
> I was looking into what would be required for a backport. In summary these
> gnome-settings-daemon commits are needed:
> 
> 62ffa31710ed4b9bb009d674da91201f6a4ca332
> [media-keys] Make OSD display more generic
> 
> 221049d0e48243b236ba6de01acf416df3dabfec
> Add keybinding schema to enable/disable touchpad
> 
> c5b8b0058dbfac9b3ec7ca090e7b37589e9aef62
> Display a dialog box when enabling/disabling the touchpad.
> 
> 045935aff4693375221ca3011c51fc08fc6736df
> Add touchpad_enabled gconf key.
> 
> After some tinkering with the changes I prepared a package with these
> changes and a reporter tells it worked out, after fixing the hal-info key
> mapping (bug 841419).

Unfortunately, this also requires UI changes in the control-center package, otherwise you only get half of the support, eg. the ability to re-enable the touchpad, which also means we'll need to drag in translations.

Given that this is already supported on newer versions of GNOME, in RHEL7, NAKing this.

Comment 6 RHEL Product and Program Management 2015-02-11 16:05:53 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.